Stores (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.client

## Class Stores

- java.lang.Object
- - org.gcube.application.aquamaps.aquamapsportlet.client.Stores

-     public class Stores
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Stores()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore` | `availableSpeciesStore()`
    `static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore` | `initStore(String url, com.gwtext.client.core.UrlParam[] extraParams, com.gwtext.client.data.RecordDef recordDef, boolean autoLoad)`
    `static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore` | `jobStore()`
    `static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore` | `objectBasketStore(String title)`
    `static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore` | `occurrenceCellsStore(String speciesId)`
    `static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore` | `selectedAreasStore()`
    `static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore` | `selectedSpeciesStore()`
    `static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore` | `smartAvailableAreasStore()`
    `static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore` | `submittedStore()`
    `static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore` | `toCreateObjectsStore(ClientObjectType toShowType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Stores

          public Stores()

  - ### Method Detail

    - #### jobStore

          public static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore jobStore()

    - #### toCreateObjectsStore

          public static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore toCreateObjectsStore(ClientObjectType toShowType)

    - #### submittedStore

          public static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore submittedStore()

    - #### objectBasketStore

          public static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore objectBasketStore(String title)

    - #### selectedSpeciesStore

          public static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore selectedSpeciesStore()

    - #### availableSpeciesStore

          public static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore availableSpeciesStore()

    - #### selectedAreasStore

          public static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore selectedAreasStore()

    - #### occurrenceCellsStore

          public static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore occurrenceCellsStore(String speciesId)

    - #### smartAvailableAreasStore

          public static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore smartAvailableAreasStore()

    - #### initStore

          public static org.gcube.portlets.widgets.gcubelivegrid.client.data.BufferedStore initStore(String url,
                                                                                     com.gwtext.client.core.UrlParam[] extraParams,
                                                                                     com.gwtext.client.data.RecordDef recordDef,
                                                                                     boolean autoLoad)

Copyright © 2014. All Rights Reserved.